Skip to main content
GET
/
api
/
semantic-models
List Semantic Models
curl --request GET \
  --url https://api.example.com/api/semantic-models \
  --header 'Authorization: Bearer <token>'
{
  "models": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "domain_name": "<string>",
      "status": "draft",
      "created_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "reviewed_by": "<string>",
      "view_name": "<string>"
    }
  ],
  "total_count": 123,
  "skip": 123,
  "limit": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

domain_name
string | null

Filter by domain name

status
enum<string> | null

Filter by status Status of a semantic model.

Available options:
draft,
pending_review,
approved,
rejected,
deployed,
failed,
archived
owner_id
string | null

Filter by owner

skip
integer
default:0

Number of records to skip

Required range: x >= 0
limit
integer
default:50

Maximum records to return

Required range: 1 <= x <= 200

Response

List of semantic models

Response for listing semantic models.

models
SemanticModelSummary · object[]
required
total_count
integer
required
skip
integer
required
limit
integer
required